Loading...
Searching...
No Matches
su_alloc_stat.h File Reference
Memory Management Tutorial

Home-based memory management statistics. More...

`#include <sofia-sip/su_alloc.h>`
`#include <sofia-sip/su_types.h>`
Include dependency graph for su_alloc_stat.h:

Go to the source code of this file.

## Macros

#define | SU_ALLOC_STAT_H
| Defined when <sofia-sip/su_alloc_stat.h> has been included.

## Functions

void | su_home_init_stats (su_home_t *h)
| Initialize statistics structure.
void | su_home_get_stats (su_home_t *, int include_clones, su_home_stat_t *stats, isize_t statssize)
| Retrieve statistics from memory home.

## Detailed Description

Home-based memory management statistics.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Tue Apr 9 10:24:05 2002 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.